--
-- Mod: FS19_RealLifeNumbers by Kaj-Aage Henneberg "Ki", ArmChairFarming
-- Script: RealNumbersMissions by Kaj-Aage Henneberg "Ki", ArmChairFarming
-- e-mail: kaj-aage.henneberg@outlook.dk
-- All rights reserved.
-- Version 1.0.0.0
-- 30.11.2018 - 20.03.2019

RealNumbersMissions = {};

function RealNumbersMissions:loadMap()
	print("\nFS19_RealLifeNumbers: RealNumbersMissions active, press lAlt-rm \n");
end;


function RealNumbersMissions:keyEvent(unicode, sym, modifier, isDown)
	local textWidth = 40;
	local isDebug = RN.isDebug;
	local currency = "€";
	local gameMoneyUnit = g_i18n.moneyUnit;
	if gameMoneyUnit == 1 then
        currency = "€";
	elseif gameMoneyUnit == 2 then
        currency = "$";
	elseif gameMoneyUnit == 3 then
        currency = "£";
	end





	if Input.isKeyPressed(Input.KEY_lalt) and Input.isKeyPressed(Input.KEY_r) and Input.isKeyPressed(Input.KEY_m) then


		if isDebug	then
			print(" ");
			print("Rewards and reimbursements for missions");
			print(" ");
		end;

		for k,missionType in pairs(g_missionManager.missionTypes) do
			local name = missionType.name;
			if name == "mow_bale" then
				missionType.class.REWARD_PER_HA_HAY = RN.missionPayPerHour/RN.missionHaPerHour[1];
				missionType.class.REWARD_PER_HA_SILAGE  = RN.missionPayPerHour/RN.missionHaPerHour[1];
				myPrintFloat("mow-bale hay",missionType.class.REWARD_PER_HA_HAY,textWidth,currency.."/Ha");
				myPrintFloat("mow-bale silage",missionType.class.REWARD_PER_HA_SILAGE,textWidth,currency.."/Ha");
			end;
			if name == "plow" then
				missionType.class.REWARD_PER_HA = RN.missionPayPerHour/RN.missionHaPerHour[2];
				myPrintFloat(name.." ",missionType.class.REWARD_PER_HA,textWidth,currency.."/Ha");
			end;
			if name == "cultivate" then
				missionType.class.REWARD_PER_HA = RN.missionPayPerHour/RN.missionHaPerHour[3];
				myPrintFloat(name.." ",missionType.class.REWARD_PER_HA,textWidth,currency.."/Ha");
			end;
			if name == "sow" then
				missionType.class.REWARD_PER_HA = RN.missionPayPerHour/RN.missionHaPerHour[4];
				myPrintFloat(name.." ",missionType.class.REWARD_PER_HA,textWidth,currency.."/Ha");
			end;
			if name == "harvest" then
				missionType.class.REWARD_PER_HA_SMALL  = RN.missionPayPerHour/RN.missionHaPerHour[5];
				myPrintFloat(name.." small ",missionType.class.REWARD_PER_HA_SMALL ,textWidth,currency.."/Ha");
				missionType.class.REWARD_PER_HA_WIDE   = RN.missionPayPerHour/RN.missionHaPerHour[5];
				myPrintFloat(name.." wide ",missionType.class.REWARD_PER_HA_WIDE  ,textWidth,currency.."/Ha");
			end;
			if name == "weed" then
				missionType.class.REWARD_PER_HA = RN.missionPayPerHour/RN.missionHaPerHour[6];
				myPrintFloat(name.." ",missionType.class.REWARD_PER_HA,textWidth,currency.."/Ha");
			end;
			if name == "spray" then
				missionType.class.REWARD_PER_HA = RN.missionPayPerHour/RN.missionHaPerHour[7];
				myPrintFloat(name.." reward ",missionType.class.REWARD_PER_HA,textWidth,currency.."/Ha");
				missionType.class.REIMBURSEMENT_PER_HA  = RN.sprayCost[2];
				myPrintFloat(name.." reimbursement ",missionType.class.REIMBURSEMENT_PER_HA,textWidth,currency.."/Ha");
			end;
			if name == "fertilize" then
				missionType.class.REWARD_PER_HA = RN.missionPayPerHour/RN.missionHaPerHour[8];
				myPrintFloat(name.." reward ",missionType.class.REWARD_PER_HA,textWidth,currency.."/Ha");
				missionType.class.REIMBURSEMENT_PER_HA  = RN.sprayCost[1];
				myPrintFloat(name.." reimbursement ",missionType.class.REIMBURSEMENT_PER_HA,textWidth,currency.."/Ha");
			end;
			if name == "transport" then
				missionType.class.REWARD_PER_METER  = RN.missionPayPerHour/30000;  --Hour rate divided by mean velocity (meters per hour)
				myPrintFloat(name.." reward ",1000 * missionType.class.REWARD_PER_METER,textWidth,currency.."/km");
				missionType.class.REWARD_PER_OBJECT   = 3.50;
				myPrintFloat(name.." reimbursement ",missionType.class.REWARD_PER_OBJECT ,textWidth,currency.."/object");
			end;
		end;
		print(" ");
--		DebugUtil.printTableRecursively(g_missionManager,"_",0,8);
	end;




end;
function RealNumbersMissions:update(dt)
		for k,missionType in pairs(g_missionManager.missionTypes) do
			local name = missionType.name;
			if name == "mow_bale" then
				missionType.class.REWARD_PER_HA_HAY = RN.missionPayPerHour/RN.missionHaPerHour[1];
				missionType.class.REWARD_PER_HA_SILAGE  = RN.missionPayPerHour/RN.missionHaPerHour[1];
			end;
			if name == "plow" then
				missionType.class.REWARD_PER_HA = RN.missionPayPerHour/RN.missionHaPerHour[2];
			end;
			if name == "cultivate" then
				missionType.class.REWARD_PER_HA = RN.missionPayPerHour/RN.missionHaPerHour[3];
			end;
			if name == "sow" then
				missionType.class.REWARD_PER_HA = RN.missionPayPerHour/RN.missionHaPerHour[4];
			end;
			if name == "harvest" then
				missionType.class.REWARD_PER_HA_SMALL  = RN.missionPayPerHour/RN.missionHaPerHour[5];
				missionType.class.REWARD_PER_HA_WIDE   = RN.missionPayPerHour/RN.missionHaPerHour[5];
			end;
			if name == "weed" then
				missionType.class.REWARD_PER_HA = RN.missionPayPerHour/RN.missionHaPerHour[6];
			end;
			if name == "spray" then
				missionType.class.REWARD_PER_HA = RN.missionPayPerHour/RN.missionHaPerHour[7];
				missionType.class.REIMBURSEMENT_PER_HA  = RN.sprayCost[2];
			end;
			if name == "fertilize" then
				missionType.class.REWARD_PER_HA = RN.missionPayPerHour/RN.missionHaPerHour[8];
				missionType.class.REIMBURSEMENT_PER_HA  = RN.sprayCost[1];
			end;
			if name == "transport" then
				missionType.class.REWARD_PER_METER  = RN.missionPayPerHour/30000;  --Hour rate divided by mean velocity (meters per hour)
				missionType.class.REWARD_PER_OBJECT   = 3.50;
			end;
		end;
end;
function RealNumbersMissions:draw()
end;
function RealNumbersMissions:deleteMap()
end;
function RealNumbersMissions:mouseEvent(posX, posY, isDown, isUp, button)
end;

addModEventListener(RealNumbersMissions);
